/* =====================================================
   VARIABLES
===================================================== */

:root {
  --white-bg-clr: #fff;
  --breakWhite-bg-clr: #f1efe5;
  --corpBlue-bg-clr: #1a3668;
  --corpRed-bg-clr: #DC1C2E;
}

/* =====================================================
   BASE / TIPOGRAFÍA GLOBAL
===================================================== */

body,
h1, h2, h3, h4, h5, h6,
p, span, a, li, button, label {
  font-family: 'Montserrat', sans-serif;
}

#main-container section {
  min-height: auto;
  background-color: var(--white-bg-clr);
  width: min(85%, 1200px);
  margin-inline: auto;
}

#main-container section p,
#main-container section li {
  font-size: 16px;
  line-height: 1.5em;
}

#main-container section h1 {
  font-size: 48px !important;
  font-weight: bold !important;
}

#main-container section h2 {
  font-size: 36px !important;
  font-weight: bold !important;
}

#main-container section h3 {
  font-size: 28px !important;
  font-weight: bold !important;
}

#main-container section h4 {
  font-size: 22px !important;
  font-weight: bold !important;
}

#main-container section h5 {
  font-size: 18px !important;
  font-weight: bold !important;
}

#main-container section #corpBlue {
  font-weight: bold !important;
  color: var(--corpBlue-bg-clr);
}

#main-container section #corpRed {
  font-weight: bold !important;
  color: var(--corpRed-bg-clr);
}

.form-select{
  border-radius: 50px !important;
  padding: 6px 23px !important;
  font-size: 16px !important;
  border: none !important;
}


/* =====================================================
   HEADER
===================================================== */

header a, footer a {
  text-decoration: none !important;
}

/* =====================================================
   HERO SECTION
===================================================== */

/* HERO LEFT */

.hero-left {
  position: relative;
  padding: 80px;
  min-height: 90vh;
  display: flex;
  align-items: center;
}

.overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.35);
  z-index: 1;
}

.hero-content {
  position: relative;
  z-index: 2;
  color: var(--white-bg-clr);
}

.hero-content h1 {
  font-size: 48px;
  margin: 0;
}

/* HERO RIGHT */

.hero-right {
  background-color: var(--corpBlue-bg-clr);
  padding: 60px 30px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.form-box {
  max-width: 420px;
  width: 100%;
  color: var(--white-bg-clr);
  font-size: 16px;
}

.form-box h2 {
  font-size: 36px;
}

.form-box label {
  max-width: 80%;
}

.form-check-label a {
  color: var(--corpRed-bg-clr);
  text-decoration: none;
}

.form-check-label a:hover {
  text-decoration: underline;
}

/* INPUTS */

.form-pill {
  border-radius: 50px !important;
  padding: 18px 28px !important;
  font-size: 16px !important;
  border: none !important;
}

/* BUTTON */

.btn-pill {
  border-radius: 50px !important;
  font-size: 16px !important;
  background-color: var(--corpRed-bg-clr) !important;
  color: var(--white-bg-clr) !important;
  padding: 16px !important;
}

/* =====================================================
   SERVICES SECTION
===================================================== */

.services {
  background-color: var(--white-bg-clr);
  align-content: center;
}

.service-card {
  width: 100%;
  max-width: 350px;
  height: 420px;
  border: none;
  border-radius: 12px;
  overflow: hidden;
  transition: all 0.3s ease;
  display: flex;
  flex-direction: column;
}

.service-card:hover {
  transform: translateY(-8px);
}

.service-img {
  width: 100%;
  height: 300px;
  object-fit: cover;
}

.service-card .card-body {
  background-color: var(--corpBlue-bg-clr);
  display: flex;
  align-items: center;
  justify-content: center;
}

.service-card .card-title {
  font-size: 20px;
  color: var(--white-bg-clr);
  font-weight: 600;
  margin: 0;
}

/* =====================================================
   BUSINESS STEPS SECTION
===================================================== */

.services-carousel {
  height: max-content !important;
  padding-bottom: 50px;
}

.steps-intro {
  text-align: center;
  margin-bottom: 50px;
}

.steps-intro h2 {
  color: var(--corpBlue-bg-clr);
  font-weight: 700;
  font-size: 40px;
  margin-bottom: 10px;
}

.steps-intro h3 {
  color: var(--corpRed-bg-clr);
  font-weight: 600;
  font-size: 22px;
  margin: 0;
}

.steps-card {
  width: 100%;
  border: none;
  border-radius: 14px;
  overflow: hidden;
  background: #ffffff;
  display: flex;
  flex-direction: column;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

#carrousel-end,
#carrousel-start {
  justify-content: space-around;
}

.service-placeholder {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  color: var(--white-bg-clr);
}

.bg-1 {
  background: linear-gradient(135deg,var(--corpBlue-bg-clr),#2c5282);
}

.steps-card img {
  width: 100%;
  height: auto;
  object-fit: cover;
  display: block;
  padding: 20px;
}

.steps-card .card-body {
  padding: 25px;
  display: flex;
  flex: 0 0 auto;
  flex-direction: column;
  gap: 12px;
  justify-content: center;
  align-items: center;
}

.steps-card .card-title {
  font-size: 24px;
  font-weight: 600;
  color: var(--corpBlue-bg-clr);
  margin: 0;
}

.steps-card p {
  margin: 0;
  font-size: 18px;
  line-height: 1.6;
  color: #555;
}

/* OWL */

#services-carousel .item {
  padding: 30px 0px;
  margin: 10px;
  height: 100%;
  color: var(--white-bg-clr);
  border-radius: 3px;
  text-align: center;
}

/* =====================================================
   MID CTA SECTION
===================================================== */

.mid-section-cta {
  min-height: 20vh !important;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.mid-section-cta .container {
  background-color: var(--corpBlue-bg-clr);
  max-width: 100%;
  padding: 5rem 0;
}

.btn-hover-grow {
  display: inline-block;
  transition:
    transform 0.45s cubic-bezier(0.22, 1, 0.36, 1),
    box-shadow 0.45s cubic-bezier(0.22, 1, 0.36, 1);
}

.btn-hover-grow:hover {
  transform: scale(1.06);
  box-shadow: 0 8px 20px rgba(0,0,0,0.12);
}

/* =====================================================
   IMPORTANT DECISIONS SECTION
===================================================== */

.important-decisions h2 {
  color: var(--corpBlue-bg-clr);
  font-weight: 700;
  font-size: 40px;
  margin-bottom: 10px;
}

.important-decisions h3,
.important-decisions h4 {
  color: var(--corpRed-bg-clr);
  font-weight: 600;
  font-size: 22px;
  margin: 0;
}

.info-container {
  gap: 10px;
}

.info-item {
  display: flex;
  align-items: center;
  gap: 20px;
  margin-bottom: 22px;
}

.info-item img {
  width: 50px;
  height: auto;
  flex-shrink: 0;
}

.info-item p {
  margin: 0;
  font-size: 2rem;
  line-height: 1.5;
}

.block-end-text {
  font-size: 2rem;
}

/* =====================================================
   WHY CHOOSE REMAX
===================================================== */

#why-choose-remax .container .card {
  background-color: var(--breakWhite-bg-clr);
}

/* =====================================================
   REASONS TO CHOOSE
===================================================== */

.reasons-to-chose p {
  margin: 0;
  font-size: 2rem;
  line-height: 1.5;
}

.reasons-to-chose h3,
.reasons-to-chose h4 {
  color: var(--corpRed-bg-clr);
  font-weight: 600;
  font-size: 22px;
  margin: 0;
}

.reasons-to-chose li {
  margin: 0;
  font-size: 1.75rem;
  line-height: 1.5;
}

.reasons-benefits {
  background-color: var(--corpBlue-bg-clr) !important;
  display: grid;
  padding: 30px 10%;
}

.reasons-benefits div div {
  padding: 0 30px;
  gap: 15px;
}

.reasons-benefits img {
  width: 100px;
  height: 100px;
  color: var(--white-bg-clr);
}

.reasons-benefits h4 {
  font-weight: 600;
  font-size: 22px;
  margin: 0;
}

.reasons-benefits p {
  margin: 0;
  font-size: 1.75rem;
  line-height: 1.5;
}

/* =====================================================
   HOW TO SELL PAGE
===================================================== */

/* =====================================================
   OUR MARKETING SECTION
===================================================== */

.lista-marketing {
  list-style: none;
  padding-left: 0;
}

.lista-marketing li {
  position: relative;
  padding-left: 2rem;
}

.lista-marketing li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 8px;
  width: 8px;
  height: 8px;
  background-color: var(--corpBlue-bg-clr); /* color corporativo */
  border-radius: 50%;
}

/* =====================================================
   HAZTE AGENTE ASOCIADO PAGE
===================================================== */

/* =====================================================
   MID SECTION VIDEO CTA SECTION
===================================================== */

.cta-video iframe {
  aspect-ratio: 16 / 9;
}

/* =====================================================
   SECOND BENEFITS SECTION
===================================================== */

.benefit-card {
  background-color: var(--breakWhite-bg-clr);
  padding: 2rem;
  border-radius: 12px;
  box-shadow: 0 8px 25px rgba(0,0,0,0.05);
  transition: all 0.3s ease;
}

.benefit-card:hover {
  transform: translateY(-5px);
}

.benefit-icon {
  max-width: 80px;
  margin-bottom: 1.5rem;
}

.benefit-card h4 {
  font-size: 1.1rem;
  margin-bottom: 1rem;
  font-weight: 600;
}

.benefit-card p {
  font-size: 0.95rem;
  margin-bottom: 0;
}

/* =====================================================
   BE YOUR OWN BOSS SECTION
===================================================== */

#be-your-boss {
  min-height: 60vh;
}

.form-select{
  border-radius: 50px !important;
  padding: 6px 23px !important;
  font-size: 16px !important;
  border: none !important;
  color: #212529 !important;
}

/* =====================================================
   OPEN YOUR AGENCY PAGE
===================================================== */

/* =====================================================
   BENEFITS SECTION
===================================================== */

.benefit-oya-card {
  background-color: var(--corpBlue-bg-clr);
  padding: 2rem 2.5rem;
  border-radius: 12px;
  box-shadow: 0 8px 25px rgba(0,0,0,0.05);
  transition: all 0.3s ease;
  color: #fff;
  min-height: 300px;
}

.benefit-oya-card:hover {
  transform: translateY(-5px);
}

.benefit-oya-card h4 {
  font-size: 1.1rem;
  margin-bottom: 1rem;
  font-weight: 600;
}

.benefit-oya-card p {
  font-size: 0.95rem;
  margin-bottom: 0;
}

/* =====================================================
   SECOND BENEFITS SECTION
===================================================== */

.benefit-oya-card-2 {
  background-color: var(--corpRed-bg-clr);
  padding: 2rem 2.5rem;
  border-radius: 12px;
  box-shadow: 0 8px 25px rgba(0,0,0,0.05);
  transition: all 0.3s ease;
  color: #fff;
  height: 176px;
}

.benefit-oya-card-2:hover {
  transform: translateY(-5px);
}

.benefit-oya-card-2 p {
  font-size: 0.95rem;
  margin-bottom: 0;
}

/* =====================================================
   THIS COULD CHANGE EVERYTHING SECTION
===================================================== */

.tcce-oya-card {
  background-color: var(--corpBlue-bg-clr);
  padding: 2rem 2.5rem;
  border-radius: 12px;
  box-shadow: 0 8px 25px rgba(0,0,0,0.05);
  transition: all 0.3s ease;
  color: #fff;
  min-height: 300px;
  max-width: 340px !important;
}

.tcce-oya-card p {
  font-size: 0.95rem;
  margin-bottom: 0;
}

.tcce-oya-card .notation p {
  font-size: 13px !important;
  margin-bottom: 0;
}

/* =====================================================
   TRENDING TOPICS SECTION
===================================================== */

.trendig-topic-card {
  background-color: var(--corpBlue-bg-clr);
  padding: 2rem 2.5rem;
  border-radius: 12px;
  box-shadow: 0 8px 25px rgba(0,0,0,0.05);
  transition: all 0.3s ease;
  color: #fff;
  height: 176px;
}

/* =====================================================
   RESPONSIVE
===================================================== */

@media (max-width: 1200px) {
  .steps-intro h2 { font-size: 34px; }
}

@media (max-width: 992px) {

  .hero-split { min-height: auto; }

  .hero-left {
    min-height: 50vh;
    padding: 40px 20px;
  }

  .hero-content h1 { font-size: 28px; }

  .hero-right { padding: 40px 20px; }

  .services { padding-top: 20px; }

  .service-card {
    max-width: 280px;
    height: 380px;
  }

  .service-img { height: 260px; }

  .steps-intro h2 { font-size: 30px; }
  .steps-intro h3 { font-size: 20px; }
}

@media (max-width: 768px) {

  .services-carousel { padding: 50px 0; }

  .steps-intro h2 { font-size: 24px; }
  .steps-intro h3 { font-size: 18px; }

  .carousel { margin-top: 15px; }

  .steps-card .card-body { padding: 20px; }

  .steps-card .card-title { font-size: 18px; }

  .steps-card p { font-size: 14px; }
}

@media (max-width: 576px) {

  .services { padding-top: 20px; }

  .service-card {
    max-width: 320px;
    height: 360px;
  }

  .service-img { height: 300px; }
}